package net.northking.cctp.common.persistence;


import net.northking.cctp.common.persistence.rule.NamedRule;

import javax.persistence.MappedSuperclass;

/**
 * 可命名的实体类，用于外键显示
 */
@MappedSuperclass
public class NamedEntity extends IDEntity implements NamedRule
{
  private String code;

  private String name;

  public String getCode()
  {
    return code;
  }

  public void setCode(String code)
  {
    this.code = code;
  }

  public String getName()
  {
    return name;
  }

  public void setName(String name)
  {
    this.name = name;
  }
}
